@ECHO OFF

REM This batch file will install track maps for the 2000 season.
REM Please, read TMAPS00.TXT for more info.
REM (c) Juha Viitala 2000. All rights reserved.

CLS

ECHO Loading ...
ECHO.
ECHO.
ECHO.

IF NOT EXIST ..\BITMAPS\F1PCSVGA.BIN goto error_dir

IF NOT EXIST INSTALL.BAT goto error_zip
IF NOT EXIST GP2HIPIC.EXE goto error_zip
IF NOT EXIST TMAPS00.TXT goto error_zip
IF NOT EXIST AUS1.BMP goto error_zip
IF NOT EXIST AUS17.BMP goto error_zip
IF NOT EXIST BRZ2.BMP goto error_zip
IF NOT EXIST BRZ18.BMP goto error_zip
IF NOT EXIST SMR3.BMP goto error_zip
IF NOT EXIST SMR19.BMP goto error_zip
IF NOT EXIST GBR4.BMP goto error_zip
IF NOT EXIST GBR20.BMP goto error_zip
IF NOT EXIST ESP5.BMP goto error_zip
IF NOT EXIST ESP21.BMP goto error_zip
IF NOT EXIST EUR6.BMP goto error_zip
IF NOT EXIST EUR22.BMP goto error_zip
IF NOT EXIST MON7.BMP goto error_zip
IF NOT EXIST MON23.BMP goto error_zip
IF NOT EXIST CND8.BMP goto error_zip
IF NOT EXIST CND24.BMP goto error_zip
IF NOT EXIST FRA9.BMP goto error_zip
IF NOT EXIST FRA25.BMP goto error_zip
IF NOT EXIST AUT10.BMP goto error_zip
IF NOT EXIST AUT26.BMP goto error_zip
IF NOT EXIST GER11.BMP goto error_zip
IF NOT EXIST GER27.BMP goto error_zip
IF NOT EXIST HUN12.BMP goto error_zip
IF NOT EXIST HUN28.BMP goto error_zip
IF NOT EXIST BEL13.BMP goto error_zip
IF NOT EXIST BEL29.BMP goto error_zip
IF NOT EXIST ITA14.BMP goto error_zip
IF NOT EXIST ITA30.BMP goto error_zip
IF NOT EXIST USA15.BMP goto error_zip
IF NOT EXIST USA31.BMP goto error_zip
IF NOT EXIST JPN16.BMP goto error_zip
IF NOT EXIST JPN32.BMP goto error_zip
IF NOT EXIST MAL17.BMP goto error_zip
IF NOT EXIST MAL33.BMP goto error_zip

CLS

CLS
ECHO   GP2 SEASON 2000 TRACK MAPS V1.1
ECHO   ===============================
ECHO.
ECHO   This installation program will now automatically install
ECHO   both framed and big track maps (pictures) to your game.
ECHO.
ECHO   If you want to quit now, press CTRL-BREAK.
ECHO.
ECHO.
PAUSE

CLS

ECHO   Now installing 16 big pictures...
ECHO   =================================
ECHO.
ECHO.
ECHO.
ECHO a|GP2HIPIC.EXE -U #1 ..\bitmaps\f1pcsvga.bin AUS1.BMP
ECHO a|GP2HIPIC.EXE -U #2 ..\bitmaps\f1pcsvga.bin BRZ2.BMP
ECHO a|GP2HIPIC.EXE -U #3 ..\bitmaps\f1pcsvga.bin SMR3.BMP
ECHO a|GP2HIPIC.EXE -U #4 ..\bitmaps\f1pcsvga.bin GBR4.BMP
ECHO a|GP2HIPIC.EXE -U #5 ..\bitmaps\f1pcsvga.bin ESP5.BMP
ECHO a|GP2HIPIC.EXE -U #6 ..\bitmaps\f1pcsvga.bin EUR6.BMP
ECHO a|GP2HIPIC.EXE -U #7 ..\bitmaps\f1pcsvga.bin MON7.BMP
ECHO a|GP2HIPIC.EXE -U #8 ..\bitmaps\f1pcsvga.bin CND8.BMP
ECHO a|GP2HIPIC.EXE -U #9 ..\bitmaps\f1pcsvga.bin FRA9.BMP
ECHO a|GP2HIPIC.EXE -U #10 ..\bitmaps\f1pcsvga.bin AUT10.BMP
ECHO a|GP2HIPIC.EXE -U #11 ..\bitmaps\f1pcsvga.bin GER11.BMP
ECHO a|GP2HIPIC.EXE -U #12 ..\bitmaps\f1pcsvga.bin BEL13.BMP
ECHO a|GP2HIPIC.EXE -U #13 ..\bitmaps\f1pcsvga.bin ITA14.BMP
ECHO a|GP2HIPIC.EXE -U #14 ..\bitmaps\f1pcsvga.bin USA15.BMP
ECHO a|GP2HIPIC.EXE -U #15 ..\bitmaps\f1pcsvga.bin JPN16.BMP
ECHO a|GP2HIPIC.EXE -U #16 ..\bitmaps\f1pcsvga.bin MAL17.BMP
ECHO.
ECHO Done.

CLS

ECHO   Now installing 16 framed pictures...
ECHO   ====================================
ECHO.
ECHO.
ECHO.
ECHO a|GP2HIPIC.EXE -U #17 ..\bitmaps\f1pcsvga.bin AUS17.BMP
ECHO a|GP2HIPIC.EXE -U #18 ..\bitmaps\f1pcsvga.bin BRZ18.BMP
ECHO a|GP2HIPIC.EXE -U #19 ..\bitmaps\f1pcsvga.bin SMR19.BMP
ECHO a|GP2HIPIC.EXE -U #20 ..\bitmaps\f1pcsvga.bin GBR20.BMP
ECHO a|GP2HIPIC.EXE -U #21 ..\bitmaps\f1pcsvga.bin ESP21.BMP
ECHO a|GP2HIPIC.EXE -U #22 ..\bitmaps\f1pcsvga.bin EUR22.BMP
ECHO a|GP2HIPIC.EXE -U #23 ..\bitmaps\f1pcsvga.bin MON23.BMP
ECHO a|GP2HIPIC.EXE -U #24 ..\bitmaps\f1pcsvga.bin CND24.BMP
ECHO a|GP2HIPIC.EXE -U #25 ..\bitmaps\f1pcsvga.bin FRA25.BMP
ECHO a|GP2HIPIC.EXE -U #26 ..\bitmaps\f1pcsvga.bin AUT26.BMP
ECHO a|GP2HIPIC.EXE -U #27 ..\bitmaps\f1pcsvga.bin GER27.BMP
ECHO a|GP2HIPIC.EXE -U #28 ..\bitmaps\f1pcsvga.bin BEL29.BMP
ECHO a|GP2HIPIC.EXE -U #29 ..\bitmaps\f1pcsvga.bin ITA30.BMP
ECHO a|GP2HIPIC.EXE -U #30 ..\bitmaps\f1pcsvga.bin USA31.BMP
ECHO a|GP2HIPIC.EXE -U #31 ..\bitmaps\f1pcsvga.bin JPN32.BMP
ECHO a|GP2HIPIC.EXE -U #32 ..\bitmaps\f1pcsvga.bin MAL33.BMP
ECHO.
ECHO Done.

GOTO finish

:error_dir
CLS
ECHO            INSTALLATION FAILED !
ECHO.            
ECHO            You must unzip the all the ZIP files
ECHO            to the GP2\TMAPS00 directory !
ECHO.
ECHO            Please read TMAPS00.TXT for more info.
ECHO.
ECHO.               
ECHO.
GOTO bye

:error_zip
CLS
ECHO		INSTALLATION FAILED ! 
ECHO.            
ECHO            Cannot install, because there are missing
ECHO            some essential files. Please re-unzip
ECHO            ALL the ZIP files to the GP2\TMAPS00 directory.
ECHO.
ECHO            Please read TMAPS00.TXT for more info.
ECHO.
ECHO.               
ECHO.
GOTO bye

:finish
CLS
ECHO		Installation successful !
ECHO.
ECHO		Now just start GP2 and have fun !
ECHO.
ECHO.
GOTO bye
:bye